ScanopyScanopy
Users

List all users

GET
/api/v1/users

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

limit?|

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

offset?|

Number of results to skip. Default: 0.

Response Body

application/json

curl -X GET "https://example.com/api/v1/users"
{
  "data": [
    {
      "email": "[email protected]",
      "network_ids": [
        "8ab05cf8-4f9d-4069-943f-81651de86890"
      ],
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "permissions": "Owner",
      "email_settings": {
        "discovery_digest": true,
        "daemon_alerts": true,
        "product_onboarding": true,
        "trial_and_usage": true
      },
      "email_verified": true,
      "has_password": true,
      "oidc_linked_at": "2019-08-24T14:15:22Z",
      "oidc_provider": "string",
      "terms_accepted_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "api_version": 1,
    "pagination": {
      "has_more": true,
      "limit": 50,
      "offset": 0,
      "total_count": 142
    },
    "server_version": "0.17.14"
  },
  "success": true,
  "error": "string"
}